package com.jz.dmp.cmdexectool.common.utils;

import java.util.List;
import java.util.Map;
import java.util.UUID;
import java.util.stream.Collectors;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.util.CollectionUtils;

public class CommonUtils {
	
	private static final Logger logger = LoggerFactory.getLogger(CommonUtils.class);

	/**
	 * UUID随机数
	 * @return
	 */
	public static String generatePrimaryKeyId() {
		String id = UUID.randomUUID().toString().toUpperCase().replaceAll("-", "");
		return id;
	}
	
	/**  
	* @Title: generateTraceId  
	* @Description: TODO(生成traceId)  
	* @param @return    参数  
	* @return String    返回类型  
	* @throws  
	*/ 
	public static String generateTraceId() {
		String traceId = UUID.randomUUID().toString().toUpperCase().replaceAll("-", "");
		return traceId;
	}
	
	/**  
	* @Title: generateUuid  
	* @Description: TODO(生成uuid)  
	* @param @return    参数  
	* @return String    返回类型  
	* @throws  
	*/ 
	public static String generateUuid() {
		String uuid = UUID.randomUUID().toString().toUpperCase().replaceAll("-", "");
		return uuid;
	}
	
	/**
	* @param <T>  
	* @Title: objArrangeTree  
	* @Description: TODO(将所有的资源整理成树形结构)  
	* @param @param dmpPermissions
	* @param @return
	* @param @throws Exception    参数  
	* @return List<DmpPermission>    返回类型  
	* @throws  
	*/ 
	public static <T> List<T> objArrangeTree(Object parentCode, List<T> objs, String parentCodeFiledName, String codeFieldName, String childrenFieldName) throws Exception {

		Map<Object, List<T>> dictMap = objs.stream().collect(Collectors.groupingBy(x->{
			try {
				return ReflectAssistUtils.getFieldValueByFieldName(parentCodeFiledName, x);
			} catch (Exception e) {
				e.printStackTrace();
				logger.error("树形结构封装异常【{}】", e);
			}
			return "";
		}));
		List<T> tList = dictMap.get(parentCode);// 获取顶层资源

		if (!CollectionUtils.isEmpty(tList)) {
			for (T t : tList) {
				t = arrangeChildren(t, dictMap, codeFieldName, childrenFieldName);
			}
		}

		return tList;
	}

	/**  
	* @Title: arrangeChildren  
	* @Description: TODO(这里用一句话描述这个方法的作用)  
	* @param @param permission
	* @param @param dictMap
	* @param @return
	* @param @throws Exception    参数  
	* @return DmpPermission    返回类型  
	* @throws  
	*/ 
	private static <T> T arrangeChildren(T t, Map<Object, List<T>> dictMap, String codeFieldName, String childrenFieldName)throws Exception{
		
		Object code = ReflectAssistUtils.getFieldValueByFieldName(codeFieldName, t);
		List<T> children = dictMap.get(code); 
		
		if (!CollectionUtils.isEmpty(children)) {
			for (T child : children) {
				child = arrangeChildren(child, dictMap, codeFieldName, childrenFieldName);
			}
			ReflectAssistUtils.setFieldValueByFieldName(childrenFieldName, t, children);
		}
		
		return t;
	}

}
