package com.jz.dmp.cmdexectool.common.utils;

import java.io.IOException;
import java.io.StringWriter;
import java.util.Map;

import org.springframework.ui.freemarker.FreeMarkerConfigurationFactoryBean;
import org.springframework.web.servlet.view.freemarker.FreeMarkerConfigurer;

import freemarker.core.ParseException;
import freemarker.template.Configuration;
import freemarker.template.MalformedTemplateNameException;
import freemarker.template.Template;
import freemarker.template.TemplateException;
import freemarker.template.TemplateNotFoundException;

public class FreeMarkerUtils {
	
	/**
     * 使用freemaker模板生成 kafka connector 请求参数
     *
     * @param type      模板类型
     * @param dataModel 模板里定义的变量数据对象
     * @return
     * @author Bellamy
     */
    public static String freemakerJson2(String ftlName, Map<String, String> dataModel, FreeMarkerConfigurer freeMarkerConfig) {
        StringWriter stringWriter = new StringWriter();
        try {

            Template template = freeMarkerConfig.getConfiguration().getTemplate(ftlName);
            if (template != null) {
                try {
                    template.process(dataModel, stringWriter);
                } catch (TemplateException e) {
                    e.printStackTrace();
                }
            }
        } catch (TemplateNotFoundException e) {
            e.printStackTrace();
        } catch (MalformedTemplateNameException e) {
            e.printStackTrace();
        } catch (ParseException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }
        return stringWriter.toString();
    }
    
    /**
     * 使用freemaker模板生成 kafka connector 请求参数
     *
     * @param type      模板类型
     * @param dataModel 模板里定义的变量数据对象
     * @return
     * @author Bellamy
     */
    public static String freemakerNoneWebJson(String ftlName, Map<String, String> dataModel, FreeMarkerConfigurationFactoryBean freeMarkerConfigurationFactoryBean) {
        StringWriter stringWriter = new StringWriter();
        try {
        	Configuration configuration = freeMarkerConfigurationFactoryBean.createConfiguration();
            Template template = configuration.getTemplate(ftlName);
            if (template != null) {
                try {
                    template.process(dataModel, stringWriter);
                } catch (TemplateException e) {
                    e.printStackTrace();
                }
            }
        } catch (TemplateNotFoundException e) {
            e.printStackTrace();
        } catch (MalformedTemplateNameException e) {
            e.printStackTrace();
        } catch (ParseException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        } catch (TemplateException e) {
			e.printStackTrace();
		}
        return stringWriter.toString();
    }

}
