package com.jz.dmp.cmdexectool.common.utils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import com.jz.dmp.cmdexectool.common.constant.CommConstant;

/**
 *
 * @author hack2003
 * @date 2016-8-11
 * @version v1.0
 * 
 */
public class HttpRequestUtil {

	/**
	 * 获取有nginx代理的真实地址IP
	 * 
	 * @param request
	 * @return
	 * @throws Exception
	 */
	public static String getNginxRealIp(HttpServletRequest request) throws Exception {
		String ip = request.getHeader("X-Forwarded-For");
		if (!org.springframework.util.StringUtils.isEmpty(ip) && !"unKnown".equalsIgnoreCase(ip)) {
			// 多次反向代理后会有多个ip值，第一个ip才是真实ip
			int index = ip.indexOf(",");
			if (index != -1) {
				return ip.substring(0, index);
			} else {
				return ip;
			}
		}
		ip = request.getHeader("X-Real-IP");// 需要在代理服务器上配置该属性
		if (!org.springframework.util.StringUtils.isEmpty(ip) && !"unKnown".equalsIgnoreCase(ip)) {
			return ip;
		}
		return request.getRemoteAddr();
	}

	/**
	 * 根据httpRequest获取url地址
	 * 
	 * @param httpRequest
	 * @return
	 */
	public static String getRequestUrl(HttpServletRequest httpRequest) {
		StringBuffer url = httpRequest.getRequestURL();
		return url.toString();
	}

	/**  
	* @Title: getResubmitToken  
	* @Description: TODO(获取并设置重复提交判断token)  
	* @param @param request
	* @param @return    参数  
	* @return String    返回类型  
	* @throws  
	*/ 
	public static String getResubmitToken(HttpServletRequest request) {
		HttpSession sesson = request.getSession();
		String uuid = CommonUtils.generateUuid();
		sesson.setAttribute(CommConstant.RE_SUBMIT_TOKEN, uuid);
		return uuid;
	}
}
