package com.jz.dmp.cmdexectool.common.utils;

import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class RemoteExecuteCmdUtils {
	
	private static Logger logger = LoggerFactory.getLogger(RemoteExecuteCmdUtils.class);
	
	/**  
	* @Title: sshCmd  
	* @Description: TODO(ssh执行command)  
	* @param @param remoteServer
	* @param @param remoteUser
	* @param @param remotePassword
	* @param @param cmd
	* @param @return    参数  
	* @return boolean    返回类型  
	* @throws  
	*/ 
	public static boolean sshCmd(String remoteServer, String remoteUser, String remotePassword, String cmd) {
        logger.info("############################## SHELL: sshCmd starting ##############################");
        logger.info("remoteServer: " + remoteServer);
        logger.info("remoteUser: " + remoteUser);
        logger.info("remotePassword: " + remotePassword);
        RemoteExecuteCommand rec = new RemoteExecuteCommand(remoteServer, remoteUser, remotePassword);
        logger.info("cmd【{}】",cmd);
        String exe_return = rec.execute(cmd);
        logger.info("exe_return: " + exe_return);
        logger.info("############################## SHELL: sshCmd end ##############################");
        
        return isExecuteSuccess(exe_return);
	}
	
	private static boolean isExecuteSuccess(String exe_return) {
        if (StringUtils.isNotBlank(exe_return)
                && (exe_return.startsWith("0#")
                || (exe_return.startsWith("null#")
                && !(exe_return.indexOf("Exception") > -1
                || exe_return.indexOf("exception") > -1
                || exe_return.indexOf("EXCEPTION") > -1)))
        ) {
            return true;
        } else {
            return false;
        }
    }

}
