package com.jz.dmp.cmdexectool.config;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

import com.jz.dmp.cmdexectool.common.interceptor.LogInterceptor;
import com.jz.dmp.cmdexectool.common.interceptor.ResubmitCheckInterceptor;

/**
 * @ClassName: WebAppConfig
 * @Description: TODO(web mvc相关配置)
 * @author ybz
 * @date 2021年1月25日
 *
 */
@Configuration
public class WebAppConfig implements WebMvcConfigurer {
	
	/**
	 *拦截器注册
	 */
	@Override
	public void addInterceptors(InterceptorRegistry registry) {
		registry.addInterceptor(new LogInterceptor());
		registry.addInterceptor(new ResubmitCheckInterceptor());
	}

}
