package com.jz.dmp.cmdexectool.controller.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.jz.dmp.cmdexectool.common.bean.BasePageBean;

/**任务开发参数请求封装
 * @author ybz
 *
 */
@ApiModel(value = "任务开发参数请求封装", description = "任务开发参数请求封装")
public class DmpDevelopTaskRequest extends BasePageBean {
	/**
	* ID
	*/
	@ApiModelProperty(value = "ID")
	private Integer id;

	/**
	* tree ID
	*/
	@ApiModelProperty(value = "tree ID")
	private Integer treeId;

	/**
	* 数据源ID
	*/
	@ApiModelProperty(value = "数据源ID")
	private Integer datasourceId;

	/**
	* 任务类型（1，开发任务；2，离线任务；3，SHELL任务；4，SQL任务）
	*/
	@ApiModelProperty(value = "任务类型（1，开发任务；2，离线任务；3，SHELL任务；4，SQL任务）")
	private String taskType;

	/**
	* 类型
	*/
	@ApiModelProperty(value = "类型")
	private String type;

	/**
	* 调度类型
	*/
	@ApiModelProperty(value = "调度类型")
	private String scheduleType;

	/**
	* 是否已提交
	*/
	@ApiModelProperty(value = "是否已提交")
	private String isSubmit;

	/**
	* 描述
	*/
	@ApiModelProperty(value = "描述")
	private String taskDesc;

	/**
	* 脚本
	*/
	@ApiModelProperty(value = "脚本")
	private String script;

	/**
	* 校验状态:SUCCEED 成功, FAIL 失败
	*/
	@ApiModelProperty(value = "校验状态:SUCCEED 成功, FAIL 失败")
	private String chkResult;

	/**
	* 同步状态:SUCCEED 成功，FAIL 失败
	*/
	@ApiModelProperty(value = "同步状态:SUCCEED 成功，FAIL 失败")
	private String syncResult;

	/**
	* 最终校验时间起
	*/
	@ApiModelProperty(value = "最终校验时间起")
	private Date chkTimeStart;

	/**
	* 最终校验时间止
	*/
	@ApiModelProperty(value = "最终校验时间止")
	private Date chkTimeEnd;

	/**
	* 最终同步时间起
	*/
	@ApiModelProperty(value = "最终同步时间起")
	private Date syncTimeStart;

	/**
	* 最终同步时间止
	*/
	@ApiModelProperty(value = "最终同步时间止")
	private Date syncTimeEnd;

	/**
	* 
	*/
	@ApiModelProperty(value = "")
	private String flowHeader;

	/**
	* 
	*/
	@ApiModelProperty(value = "")
	private String flowJson;

	/**
	* 保存版本
	*/
	@ApiModelProperty(value = "保存版本")
	private String version;

	/**
	* 发布版本
	*/
	@ApiModelProperty(value = "发布版本")
	private String publishVersion;

	/**
	* 
	*/
	@ApiModelProperty(value = "")
	private Integer isGziped;

	/**
	* 源数据库ID
	*/
	@ApiModelProperty(value = "源数据库ID")
	private String sourceDbId;

	/**
	* 源数据库名称
	*/
	@ApiModelProperty(value = "源数据库名称")
	private String sourceDbName;

	/**
	* 源数据表名称
	*/
	@ApiModelProperty(value = "源数据表名称")
	private String sourceTableName;

	/**
	* 目标数据库名称
	*/
	@ApiModelProperty(value = "目标数据库名称")
	private String targetDbName;

	/**
	* 目标数据表名称
	*/
	@ApiModelProperty(value = "目标数据表名称")
	private String targetTableName;

	/**
	* 创建用户ID
	*/
	@ApiModelProperty(value = "创建用户ID")
	private String createUserId;

	/**
	* 数据创建时间起
	*/
	@ApiModelProperty(value = "数据创建时间起")
	private Date createTimeStart;

	/**
	* 数据创建时间止
	*/
	@ApiModelProperty(value = "数据创建时间止")
	private Date createTimeEnd;

	/**
	* 创建用户ID
	*/
	@ApiModelProperty(value = "创建用户ID")
	private String updateUserId;

	/**
	* 数据更新时间起
	*/
	@ApiModelProperty(value = "数据更新时间起")
	private Date updateTimeStart;

	/**
	* 数据更新时间止
	*/
	@ApiModelProperty(value = "数据更新时间止")
	private Date updateTimeEnd;

	/**
	* 数据状态：0删除，1未删除
	*/
	@ApiModelProperty(value = "数据状态：0删除，1未删除")
	private String dataStatus;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getTreeId() {
		return treeId;
	}

	public void setTreeId(Integer treeId) {
		this.treeId = treeId;
	}

	public Integer getDatasourceId() {
		return datasourceId;
	}

	public void setDatasourceId(Integer datasourceId) {
		this.datasourceId = datasourceId;
	}

	public String getTaskType() {
		return taskType;
	}

	public void setTaskType(String taskType) {
		this.taskType = taskType;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getScheduleType() {
		return scheduleType;
	}

	public void setScheduleType(String scheduleType) {
		this.scheduleType = scheduleType;
	}

	public String getIsSubmit() {
		return isSubmit;
	}

	public void setIsSubmit(String isSubmit) {
		this.isSubmit = isSubmit;
	}

	public String getTaskDesc() {
		return taskDesc;
	}

	public void setTaskDesc(String taskDesc) {
		this.taskDesc = taskDesc;
	}

	public String getScript() {
		return script;
	}

	public void setScript(String script) {
		this.script = script;
	}

	public String getChkResult() {
		return chkResult;
	}

	public void setChkResult(String chkResult) {
		this.chkResult = chkResult;
	}

	public String getSyncResult() {
		return syncResult;
	}

	public void setSyncResult(String syncResult) {
		this.syncResult = syncResult;
	}

	public Date getChkTimeStart() {
		return chkTimeStart;
	}

	public void setChkTimeStart(Date chkTimeStart) {
		this.chkTimeStart = chkTimeStart;
	}

	public Date getChkTimeEnd() {
		return chkTimeEnd;
	}

	public void setChkTimeEnd(Date chkTimeEnd) {
		this.chkTimeEnd = chkTimeEnd;
	}

	public Date getSyncTimeStart() {
		return syncTimeStart;
	}

	public void setSyncTimeStart(Date syncTimeStart) {
		this.syncTimeStart = syncTimeStart;
	}

	public Date getSyncTimeEnd() {
		return syncTimeEnd;
	}

	public void setSyncTimeEnd(Date syncTimeEnd) {
		this.syncTimeEnd = syncTimeEnd;
	}

	public String getFlowHeader() {
		return flowHeader;
	}

	public void setFlowHeader(String flowHeader) {
		this.flowHeader = flowHeader;
	}

	public String getFlowJson() {
		return flowJson;
	}

	public void setFlowJson(String flowJson) {
		this.flowJson = flowJson;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	public String getPublishVersion() {
		return publishVersion;
	}

	public void setPublishVersion(String publishVersion) {
		this.publishVersion = publishVersion;
	}

	public Integer getIsGziped() {
		return isGziped;
	}

	public void setIsGziped(Integer isGziped) {
		this.isGziped = isGziped;
	}

	public String getSourceDbId() {
		return sourceDbId;
	}

	public void setSourceDbId(String sourceDbId) {
		this.sourceDbId = sourceDbId;
	}

	public String getSourceDbName() {
		return sourceDbName;
	}

	public void setSourceDbName(String sourceDbName) {
		this.sourceDbName = sourceDbName;
	}

	public String getSourceTableName() {
		return sourceTableName;
	}

	public void setSourceTableName(String sourceTableName) {
		this.sourceTableName = sourceTableName;
	}

	public String getTargetDbName() {
		return targetDbName;
	}

	public void setTargetDbName(String targetDbName) {
		this.targetDbName = targetDbName;
	}

	public String getTargetTableName() {
		return targetTableName;
	}

	public void setTargetTableName(String targetTableName) {
		this.targetTableName = targetTableName;
	}

	public String getCreateUserId() {
		return createUserId;
	}

	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}

	public Date getCreateTimeStart() {
		return createTimeStart;
	}

	public void setCreateTimeStart(Date createTimeStart) {
		this.createTimeStart = createTimeStart;
	}

	public Date getCreateTimeEnd() {
		return createTimeEnd;
	}

	public void setCreateTimeEnd(Date createTimeEnd) {
		this.createTimeEnd = createTimeEnd;
	}

	public String getUpdateUserId() {
		return updateUserId;
	}

	public void setUpdateUserId(String updateUserId) {
		this.updateUserId = updateUserId;
	}

	public Date getUpdateTimeStart() {
		return updateTimeStart;
	}

	public void setUpdateTimeStart(Date updateTimeStart) {
		this.updateTimeStart = updateTimeStart;
	}

	public Date getUpdateTimeEnd() {
		return updateTimeEnd;
	}

	public void setUpdateTimeEnd(Date updateTimeEnd) {
		this.updateTimeEnd = updateTimeEnd;
	}

	public String getDataStatus() {
		return dataStatus;
	}

	public void setDataStatus(String dataStatus) {
		this.dataStatus = dataStatus;
	}
}
