package com.jz.dmp.cmdexectool.entity;

import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

/**任务开发
 * @author ybz
 *
 */
@ApiModel(value = "任务开发", description = "任务开发")
public class DmpDevelopTask implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	* ID
	*/
	@ApiModelProperty(value = "ID")
    private Integer id;

	/**
	* tree ID
	*/
	@ApiModelProperty(value = "tree ID")
    private Integer treeId;

	/**
	* 数据源ID
	*/
	@ApiModelProperty(value = "数据源ID")
    private Integer datasourceId;

	/**
	* 任务类型（1，开发任务；2，离线任务；3，SHELL任务；4，SQL任务）
	*/
	@ApiModelProperty(value = "任务类型（1，开发任务；2，离线任务；3，SHELL任务；4，SQL任务）")
    private String taskType;

	/**
	* 类型
	*/
	@ApiModelProperty(value = "类型")
    private String type;

	/**
	* 调度类型
	*/
	@ApiModelProperty(value = "调度类型")
    private String scheduleType;

	/**
	* 是否已提交
	*/
	@ApiModelProperty(value = "是否已提交")
    private String isSubmit;

	/**
	* 描述
	*/
	@ApiModelProperty(value = "描述")
    private String taskDesc;

	/**
	* 脚本
	*/
	@ApiModelProperty(value = "脚本")
    private String script;

	/**
	* 校验状态:SUCCEED 成功, FAIL 失败
	*/
	@ApiModelProperty(value = "校验状态:SUCCEED 成功, FAIL 失败")
    private String chkResult;

	/**
	* 同步状态:SUCCEED 成功，FAIL 失败
	*/
	@ApiModelProperty(value = "同步状态:SUCCEED 成功，FAIL 失败")
    private String syncResult;

  /**
  * 最终校验时间
  */
	@ApiModelProperty(value = "最终校验时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date chkTime;

  /**
  * 最终同步时间
  */
	@ApiModelProperty(value = "最终同步时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date syncTime;

	/**
	* 
	*/
	@ApiModelProperty(value = "")
    private String flowHeader;

	/**
	* 
	*/
	@ApiModelProperty(value = "")
    private String flowJson;

	/**
	* 保存版本
	*/
	@ApiModelProperty(value = "保存版本")
    private String version;

	/**
	* 发布版本
	*/
	@ApiModelProperty(value = "发布版本")
    private String publishVersion;

	/**
	* 
	*/
	@ApiModelProperty(value = "")
    private Integer isGziped;

	/**
	* 源数据库ID
	*/
	@ApiModelProperty(value = "源数据库ID")
    private String sourceDbId;

	/**
	* 源数据库名称
	*/
	@ApiModelProperty(value = "源数据库名称")
    private String sourceDbName;

	/**
	* 源数据表名称
	*/
	@ApiModelProperty(value = "源数据表名称")
    private String sourceTableName;

	/**
	* 目标数据库名称
	*/
	@ApiModelProperty(value = "目标数据库名称")
    private String targetDbName;

	/**
	* 目标数据表名称
	*/
	@ApiModelProperty(value = "目标数据表名称")
    private String targetTableName;

	/**
	* 创建用户ID
	*/
	@ApiModelProperty(value = "创建用户ID")
    private String createUserId;

  /**
  * 数据创建时间
  */
	@ApiModelProperty(value = "数据创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

	/**
	* 创建用户ID
	*/
	@ApiModelProperty(value = "创建用户ID")
    private String updateUserId;

  /**
  * 数据更新时间
  */
	@ApiModelProperty(value = "数据更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

	/**
	* 数据状态：0删除，1未删除
	*/
	@ApiModelProperty(value = "数据状态：0删除，1未删除")
    private String dataStatus;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getTreeId() {
		return treeId;
	}

	public void setTreeId(Integer treeId) {
		this.treeId = treeId;
	}

	public Integer getDatasourceId() {
		return datasourceId;
	}

	public void setDatasourceId(Integer datasourceId) {
		this.datasourceId = datasourceId;
	}

	public String getTaskType() {
		return taskType;
	}

	public void setTaskType(String taskType) {
		this.taskType = taskType;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getScheduleType() {
		return scheduleType;
	}

	public void setScheduleType(String scheduleType) {
		this.scheduleType = scheduleType;
	}

	public String getIsSubmit() {
		return isSubmit;
	}

	public void setIsSubmit(String isSubmit) {
		this.isSubmit = isSubmit;
	}

	public String getTaskDesc() {
		return taskDesc;
	}

	public void setTaskDesc(String taskDesc) {
		this.taskDesc = taskDesc;
	}

	public String getScript() {
		return script;
	}

	public void setScript(String script) {
		this.script = script;
	}

	public String getChkResult() {
		return chkResult;
	}

	public void setChkResult(String chkResult) {
		this.chkResult = chkResult;
	}

	public String getSyncResult() {
		return syncResult;
	}

	public void setSyncResult(String syncResult) {
		this.syncResult = syncResult;
	}

	public Date getChkTime() {
		return chkTime;
	}

	public void setChkTime(Date chkTime) {
		this.chkTime = chkTime;
	}

	public Date getSyncTime() {
		return syncTime;
	}

	public void setSyncTime(Date syncTime) {
		this.syncTime = syncTime;
	}

	public String getFlowHeader() {
		return flowHeader;
	}

	public void setFlowHeader(String flowHeader) {
		this.flowHeader = flowHeader;
	}

	public String getFlowJson() {
		return flowJson;
	}

	public void setFlowJson(String flowJson) {
		this.flowJson = flowJson;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	public String getPublishVersion() {
		return publishVersion;
	}

	public void setPublishVersion(String publishVersion) {
		this.publishVersion = publishVersion;
	}

	public Integer getIsGziped() {
		return isGziped;
	}

	public void setIsGziped(Integer isGziped) {
		this.isGziped = isGziped;
	}

	public String getSourceDbId() {
		return sourceDbId;
	}

	public void setSourceDbId(String sourceDbId) {
		this.sourceDbId = sourceDbId;
	}

	public String getSourceDbName() {
		return sourceDbName;
	}

	public void setSourceDbName(String sourceDbName) {
		this.sourceDbName = sourceDbName;
	}

	public String getSourceTableName() {
		return sourceTableName;
	}

	public void setSourceTableName(String sourceTableName) {
		this.sourceTableName = sourceTableName;
	}

	public String getTargetDbName() {
		return targetDbName;
	}

	public void setTargetDbName(String targetDbName) {
		this.targetDbName = targetDbName;
	}

	public String getTargetTableName() {
		return targetTableName;
	}

	public void setTargetTableName(String targetTableName) {
		this.targetTableName = targetTableName;
	}

	public String getCreateUserId() {
		return createUserId;
	}

	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getUpdateUserId() {
		return updateUserId;
	}

	public void setUpdateUserId(String updateUserId) {
		this.updateUserId = updateUserId;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getDataStatus() {
		return dataStatus;
	}

	public void setDataStatus(String dataStatus) {
		this.dataStatus = dataStatus;
	}
	
	
}
