package com.jz.dmp.cmdexectool.entity;

import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

/**任务历史版本
 * @author ybz
 *
 */
@ApiModel(value = "任务历史版本", description = "任务历史版本")
public class DmpDevelopTaskHistory implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	* 主键
	*/
	@ApiModelProperty(value = "主键")
    private Integer id;

	/**
	* 所属任务(关联任务主键)
	*/
	@ApiModelProperty(value = "所属任务(关联任务主键)")
    private Integer taskId;

	/**
	* tree ID
	*/
	@ApiModelProperty(value = "tree ID")
    private Integer treeId;

	/**
	* 数据源ID
	*/
	@ApiModelProperty(value = "数据源ID")
    private Integer datasourceId;

	/**
	* 任务类型
	*/
	@ApiModelProperty(value = "任务类型")
    private String taskType;

	/**
	* 类型
	*/
	@ApiModelProperty(value = "类型")
    private String type;

	/**
	* 调度类型
	*/
	@ApiModelProperty(value = "调度类型")
    private String scheduleType;

	/**
	* 是否已提交
	*/
	@ApiModelProperty(value = "是否已提交")
    private String isSubmit;

	/**
	* 描述
	*/
	@ApiModelProperty(value = "描述")
    private String taskDesc;

	/**
	* 脚本
	*/
	@ApiModelProperty(value = "脚本")
    private String script;

	/**
	* flow_header
	*/
	@ApiModelProperty(value = "flow_header")
    private String flowHeader;

	/**
	* flow_json
	*/
	@ApiModelProperty(value = "flow_json")
    private String flowJson;

	/**
	* 版本
	*/
	@ApiModelProperty(value = "版本")
    private String version;

	/**
	* is_gziped
	*/
	@ApiModelProperty(value = "is_gziped")
    private String isGziped;

	/**
	* 任务数据状态
	*/
	@ApiModelProperty(value = "任务数据状态")
    private String taskDataStatus;

	/**
	* 任务创建用户ID
	*/
	@ApiModelProperty(value = "任务创建用户ID")
    private String taskCreateUserId;

  /**
  * 任务创建时间
  */
	@ApiModelProperty(value = "任务创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date taskCreateTime;

	/**
	* 任务修改用户ID
	*/
	@ApiModelProperty(value = "任务修改用户ID")
    private String taskUpdateUserId;

  /**
  * 任务修改时间
  */
	@ApiModelProperty(value = "任务修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date taskUpdateTime;

	/**
	* 备注
	*/
	@ApiModelProperty(value = "备注")
    private String remark;

	/**
	* 数据状态(0：删除，1，未删除)
	*/
	@ApiModelProperty(value = "数据状态(0：删除，1，未删除)")
    private String dataStatus;

	/**
	* 创建用户ID
	*/
	@ApiModelProperty(value = "创建用户ID")
    private Integer createUserId;

  /**
  * 创建时间
  */
	@ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

	/**
	* 修改用户ID
	*/
	@ApiModelProperty(value = "修改用户ID")
    private Integer updateUserId;

  /**
  * 修改时间
  */
	@ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getTaskId() {
		return taskId;
	}

	public void setTaskId(Integer taskId) {
		this.taskId = taskId;
	}

	public Integer getTreeId() {
		return treeId;
	}

	public void setTreeId(Integer treeId) {
		this.treeId = treeId;
	}

	public Integer getDatasourceId() {
		return datasourceId;
	}

	public void setDatasourceId(Integer datasourceId) {
		this.datasourceId = datasourceId;
	}

	public String getTaskType() {
		return taskType;
	}

	public void setTaskType(String taskType) {
		this.taskType = taskType;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getScheduleType() {
		return scheduleType;
	}

	public void setScheduleType(String scheduleType) {
		this.scheduleType = scheduleType;
	}

	public String getIsSubmit() {
		return isSubmit;
	}

	public void setIsSubmit(String isSubmit) {
		this.isSubmit = isSubmit;
	}

	public String getTaskDesc() {
		return taskDesc;
	}

	public void setTaskDesc(String taskDesc) {
		this.taskDesc = taskDesc;
	}

	public String getScript() {
		return script;
	}

	public void setScript(String script) {
		this.script = script;
	}

	public String getFlowHeader() {
		return flowHeader;
	}

	public void setFlowHeader(String flowHeader) {
		this.flowHeader = flowHeader;
	}

	public String getFlowJson() {
		return flowJson;
	}

	public void setFlowJson(String flowJson) {
		this.flowJson = flowJson;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	public String getIsGziped() {
		return isGziped;
	}

	public void setIsGziped(String isGziped) {
		this.isGziped = isGziped;
	}

	public String getTaskDataStatus() {
		return taskDataStatus;
	}

	public void setTaskDataStatus(String taskDataStatus) {
		this.taskDataStatus = taskDataStatus;
	}

	public String getTaskCreateUserId() {
		return taskCreateUserId;
	}

	public void setTaskCreateUserId(String taskCreateUserId) {
		this.taskCreateUserId = taskCreateUserId;
	}

	public Date getTaskCreateTime() {
		return taskCreateTime;
	}

	public void setTaskCreateTime(Date taskCreateTime) {
		this.taskCreateTime = taskCreateTime;
	}

	public String getTaskUpdateUserId() {
		return taskUpdateUserId;
	}

	public void setTaskUpdateUserId(String taskUpdateUserId) {
		this.taskUpdateUserId = taskUpdateUserId;
	}

	public Date getTaskUpdateTime() {
		return taskUpdateTime;
	}

	public void setTaskUpdateTime(Date taskUpdateTime) {
		this.taskUpdateTime = taskUpdateTime;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getDataStatus() {
		return dataStatus;
	}

	public void setDataStatus(String dataStatus) {
		this.dataStatus = dataStatus;
	}

	public Integer getCreateUserId() {
		return createUserId;
	}

	public void setCreateUserId(Integer createUserId) {
		this.createUserId = createUserId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Integer getUpdateUserId() {
		return updateUserId;
	}

	public void setUpdateUserId(Integer updateUserId) {
		this.updateUserId = updateUserId;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	
	
}
