package com.jz.dmp.cmdexectool.entity;

import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import java.util.List;

/**项目配置计算引擎关系表
 * @author ybz
 *
 */
@ApiModel(value = "项目配置计算引擎关系表", description = "项目配置计算引擎关系表")
public class DmpProjectConfigEngine implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	
	/**
	* 主键
	*/
	@ApiModelProperty(value = "主键")
    private Integer configEngineId;

	/**
	* 项目主键
	*/
	@ApiModelProperty(value = "项目主键")
    private Integer projectId;

	/**
	* 引擎主键
	*/
	@ApiModelProperty(value = "引擎主键")
    private Integer engineId;

	/**
	* 备注
	*/
	@ApiModelProperty(value = "备注")
    private String remark;

	/**
	* 数据状态(0：删除，1，未删除)
	*/
	@ApiModelProperty(value = "数据状态(0：删除，1，未删除)")
    private String dataStatus;

	/**
	* 创建用户ID
	*/
	@ApiModelProperty(value = "创建用户ID")
    private Integer createUserId;

  /**
  * 创建时间
  */
	@ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

	/**
	* 修改用户ID
	*/
	@ApiModelProperty(value = "修改用户ID")
    private Integer updateUserId;

  /**
  * 修改时间
  */
	@ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
	
	@ApiModelProperty(value = "选择引擎私有配置参数")
	private List<DmpProjectEngineParam> dmpProjectEngineParams;

	public Integer getConfigEngineId() {
		return configEngineId;
	}

	public void setConfigEngineId(Integer configEngineId) {
		this.configEngineId = configEngineId;
	}

	public Integer getProjectId() {
		return projectId;
	}

	public void setProjectId(Integer projectId) {
		this.projectId = projectId;
	}

	public Integer getEngineId() {
		return engineId;
	}

	public void setEngineId(Integer engineId) {
		this.engineId = engineId;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getDataStatus() {
		return dataStatus;
	}

	public void setDataStatus(String dataStatus) {
		this.dataStatus = dataStatus;
	}

	public Integer getCreateUserId() {
		return createUserId;
	}

	public void setCreateUserId(Integer createUserId) {
		this.createUserId = createUserId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Integer getUpdateUserId() {
		return updateUserId;
	}

	public void setUpdateUserId(Integer updateUserId) {
		this.updateUserId = updateUserId;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public List<DmpProjectEngineParam> getDmpProjectEngineParams() {
		return dmpProjectEngineParams;
	}

	public void setDmpProjectEngineParams(List<DmpProjectEngineParam> dmpProjectEngineParams) {
		this.dmpProjectEngineParams = dmpProjectEngineParams;
	}
	
}
