package com.jz.dmp.cmdexectool.entity;

import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**计算引擎项目参数表
 * @author ybz
 *
 */
@ApiModel(value = "计算引擎项目参数表", description = "计算引擎项目参数表")
public class DmpProjectEngineParam implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	
	/**
	* 主键
	*/
	@ApiModelProperty(value = "主键")
    private Integer projectParamId;

	/**
	* 项目配置引擎关系主键
	*/
	@ApiModelProperty(value = "项目配置引擎关系主键")
    private Integer configEngineId;

	/**
	* 引擎参数主键
	*/
	@ApiModelProperty(value = "引擎参数主键")
    private Integer paramId;

	/**
	* 参数名称
	*/
	@ApiModelProperty(value = "参数名称")
    private String paramName;

	/**
	* 参数值
	*/
	@ApiModelProperty(value = "参数值")
    private String paramValue;

	/**
	* 备注
	*/
	@ApiModelProperty(value = "备注")
    private String remark;

	/**
	* 数据状态(0：删除，1，未删除)
	*/
	@ApiModelProperty(value = "数据状态(0：删除，1，未删除)")
    private String dataStatus;

	/**
	* 创建用户ID
	*/
	@ApiModelProperty(value = "创建用户ID")
    private Integer createUserId;

  /**
  * 创建时间
  */
	@ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

	/**
	* 修改用户ID
	*/
	@ApiModelProperty(value = "修改用户ID")
    private Integer updateUserId;

  /**
  * 修改时间
  */
	@ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

	public Integer getProjectParamId() {
		return projectParamId;
	}

	public void setProjectParamId(Integer projectParamId) {
		this.projectParamId = projectParamId;
	}

	public Integer getConfigEngineId() {
		return configEngineId;
	}

	public void setConfigEngineId(Integer configEngineId) {
		this.configEngineId = configEngineId;
	}

	public Integer getParamId() {
		return paramId;
	}

	public void setParamId(Integer paramId) {
		this.paramId = paramId;
	}

	public String getParamName() {
		return paramName;
	}

	public void setParamName(String paramName) {
		this.paramName = paramName;
	}

	public String getParamValue() {
		return paramValue;
	}

	public void setParamValue(String paramValue) {
		this.paramValue = paramValue;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getDataStatus() {
		return dataStatus;
	}

	public void setDataStatus(String dataStatus) {
		this.dataStatus = dataStatus;
	}

	public Integer getCreateUserId() {
		return createUserId;
	}

	public void setCreateUserId(Integer createUserId) {
		this.createUserId = createUserId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Integer getUpdateUserId() {
		return updateUserId;
	}

	public void setUpdateUserId(Integer updateUserId) {
		this.updateUserId = updateUserId;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
}
