package com.jz.dmp.cmdexectool.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * 数据源配置(DmpSyncingDatasource)实体类
 *
 * @author Bellamy
 * @since 2020-12-21 17:47:18
 */
@ApiModel(value = "数据源配置", description = "数据源配置")
public class DmpSyncingDatasource implements Serializable {
    private static final long serialVersionUID = 588846270711686919L;
    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Integer id;
    /**
     * 数据源类型ID
     */
    @ApiModelProperty(value = "数据源类型ID")
    private Integer datasourceType;
    /**
     * 数据源名称
     */
    @ApiModelProperty(value = "数据源名称")
    private String datasourceName;
    /**
     * 数据源描述
     */
    @ApiModelProperty(value = "数据源描述")
    private String datasourceDesc;
    /**
     * JDBC URL
     */
    @ApiModelProperty(value = "JDBC URL")
    private String jdbcUrl;
    /**
     * 数据库名
     */
    @ApiModelProperty(value = "数据库名")
    private String dbName;
    /**
     * 账号
     */
    @ApiModelProperty(value = "账号")
    private String userName;
    /**
     * 密码
     */
    @ApiModelProperty(value = "密码")
    private String password;
    /**
     * 终端信息
     */
    @ApiModelProperty(value = "终端信息")
    private String endpoint;
    /**
     * Bucket信息
     */
    @ApiModelProperty(value = "Bucket信息")
    private String bucket;
    /**
     * accessId
     */
    @ApiModelProperty(value = "accessId")
    private String accessId;
    /**
     * accessKey
     */
    @ApiModelProperty(value = "accessKey")
    private String accessKey;
    /**
     * FTP协议
     */
    @ApiModelProperty(value = "FTP协议")
    private String protocol;
    /**
     * IP
     */
    @ApiModelProperty(value = "Bucket信息")
    private String host;
    /**
     * 端口
     */
    @ApiModelProperty(value = "端口")
    private String port;
    /**
     * NameNode地址
     */
    @ApiModelProperty(value = "NameNode地址")
    private String defaultFs;
    /**
     * 表空间
     */
    @ApiModelProperty(value = "表空间")
    private String tableSchema;
    /**
     * 数据状态
     */
    @ApiModelProperty(value = "数据状态")
    private String dataStatus;
    /**
     * 创建用户ID
     */
    @ApiModelProperty(value = "创建用户ID")
    private String createUserId;
    /**
     * 数据创建时间
     */
    @ApiModelProperty(value = "数据创建时间")
    private Date createTime;
    /**
     * 创建用户ID
     */
    @ApiModelProperty(value = "创建用户ID")
    private String updateUserId;
    /**
     * 数据更新时间
     */
    @ApiModelProperty(value = "数据更新时间")
    private Date updateTime;
    /**
     * 项目ID
     */
    @ApiModelProperty(value = "项目ID")
    private Integer projectId;

    private String delimiter;

    private String isHaveHeader;

    private String targetDbName;

    private String targetFileName;

    @ApiModelProperty(value = "网络连接类型")
    private String networkConnectionType;

    /**
     * 测试连通状态：01未测试，02连通性正常，03连通性异常
     */
    @ApiModelProperty(value = "测试连通状态：01未测试，02连通性正常，03连通性异常")
    private String testConnectStatus;

    /**
     * hdfsNamenodePrincipal
     */
    @ApiModelProperty(value = "hdfsNamenodePrincipal")
    private String hdfsNamenodePrincipal;

    /**
     * hiveMetastoreUrisThrift
     */
    @ApiModelProperty(value = "hiveMetastoreUrisThrift")
    private String hiveMetastoreUrisThrift;

    /**
     * keytabLocation
     */
    @ApiModelProperty(value = "keytabLocation")
    private String keytabLocation;

    /**
     * bootstrap地址
     */
    @ApiModelProperty(value = "bootstrap地址")
    private String bootstrapAddress;

    /**
     * jaas地址
     */
    @ApiModelProperty(value = "jaas地址")
    private String jaasAddress;

    /**
     * krb5地址
     */
    @ApiModelProperty(value = "krb5地址")
    private String krb5Address;

    /**
     * kudu Master
     */
    @ApiModelProperty(value = "kudu Master")
    private String kuduMaster;

    /**
     * impalaMasterFqdn
     */
    @ApiModelProperty(value = "impalaMasterFqdn")
    private String impalaMasterFqdn;
    
    /**
     * driver(驱动)
     */
    @ApiModelProperty(value = "driver驱动")
    private String driverClassName;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getDatasourceType() {
        return datasourceType;
    }

    public void setDatasourceType(Integer datasourceType) {
        this.datasourceType = datasourceType;
    }

    public String getDatasourceName() {
        return datasourceName;
    }

    public void setDatasourceName(String datasourceName) {
        this.datasourceName = datasourceName;
    }

    public String getDatasourceDesc() {
        return datasourceDesc;
    }

    public void setDatasourceDesc(String datasourceDesc) {
        this.datasourceDesc = datasourceDesc;
    }

    public String getJdbcUrl() {
        return jdbcUrl;
    }

    public void setJdbcUrl(String jdbcUrl) {
        this.jdbcUrl = jdbcUrl;
    }

    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getEndpoint() {
        return endpoint;
    }

    public void setEndpoint(String endpoint) {
        this.endpoint = endpoint;
    }

    public String getBucket() {
        return bucket;
    }

    public void setBucket(String bucket) {
        this.bucket = bucket;
    }

    public String getAccessId() {
        return accessId;
    }

    public void setAccessId(String accessId) {
        this.accessId = accessId;
    }

    public String getAccessKey() {
        return accessKey;
    }

    public void setAccessKey(String accessKey) {
        this.accessKey = accessKey;
    }

    public String getProtocol() {
        return protocol;
    }

    public void setProtocol(String protocol) {
        this.protocol = protocol;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public String getDefaultFs() {
        return defaultFs;
    }

    public void setDefaultFs(String defaultFs) {
        this.defaultFs = defaultFs;
    }

    public String getTableSchema() {
        return tableSchema;
    }

    public void setTableSchema(String tableSchema) {
        this.tableSchema = tableSchema;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getProjectId() {
        return projectId;
    }

    public void setProjectId(Integer projectId) {
        this.projectId = projectId;
    }

    public String getDelimiter() {
        return delimiter;
    }

    public void setDelimiter(String delimiter) {
        this.delimiter = delimiter;
    }

    public String getIsHaveHeader() {
        return isHaveHeader;
    }

    public void setIsHaveHeader(String isHaveHeader) {
        this.isHaveHeader = isHaveHeader;
    }

    public String getTargetDbName() {
        return targetDbName;
    }

    public void setTargetDbName(String targetDbName) {
        this.targetDbName = targetDbName;
    }

    public String getTargetFileName() {
        return targetFileName;
    }

    public void setTargetFileName(String targetFileName) {
        this.targetFileName = targetFileName;
    }

    public String getNetworkConnectionType() {
        return networkConnectionType;
    }

    public void setNetworkConnectionType(String networkConnectionType) {
        this.networkConnectionType = networkConnectionType;
    }

    public String getTestConnectStatus() {
        return testConnectStatus;
    }

    public void setTestConnectStatus(String testConnectStatus) {
        this.testConnectStatus = testConnectStatus;
    }

    public String getHdfsNamenodePrincipal() {
        return hdfsNamenodePrincipal;
    }

    public void setHdfsNamenodePrincipal(String hdfsNamenodePrincipal) {
        this.hdfsNamenodePrincipal = hdfsNamenodePrincipal;
    }

    public String getHiveMetastoreUrisThrift() {
        return hiveMetastoreUrisThrift;
    }

    public void setHiveMetastoreUrisThrift(String hiveMetastoreUrisThrift) {
        this.hiveMetastoreUrisThrift = hiveMetastoreUrisThrift;
    }

    public String getKeytabLocation() {
        return keytabLocation;
    }

    public void setKeytabLocation(String keytabLocation) {
        this.keytabLocation = keytabLocation;
    }

    public String getBootstrapAddress() {
        return bootstrapAddress;
    }

    public void setBootstrapAddress(String bootstrapAddress) {
        this.bootstrapAddress = bootstrapAddress;
    }

    public String getJaasAddress() {
        return jaasAddress;
    }

    public void setJaasAddress(String jaasAddress) {
        this.jaasAddress = jaasAddress;
    }

    public String getKrb5Address() {
        return krb5Address;
    }

    public void setKrb5Address(String krb5Address) {
        this.krb5Address = krb5Address;
    }

    public String getKuduMaster() {
        return kuduMaster;
    }

    public void setKuduMaster(String kuduMaster) {
        this.kuduMaster = kuduMaster;
    }

    public String getImpalaMasterFqdn() {
        return impalaMasterFqdn;
    }

    public void setImpalaMasterFqdn(String impalaMasterFqdn) {
        this.impalaMasterFqdn = impalaMasterFqdn;
    }

	public String getDriverClassName() {
		return driverClassName;
	}

	public void setDriverClassName(String driverClassName) {
		this.driverClassName = driverClassName;
	}

}