package com.jz.dmp.cmdexectool.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.jz.dmp.cmdexectool.controller.bean.DmpComputEngineDto;
import com.jz.dmp.cmdexectool.entity.DmpComputEngine;

/**计算引擎表 mapper
 * @author ybz
 *
 */
public interface DmpComputEngineMapper {
	
	/**新增计算引擎表
     * @param dmpComputEngine
     * @return
     * @throws Exception
     */
    public int insert(DmpComputEngine dmpComputEngine)throws Exception;

    /**选择性增加计算引擎表
     * @param dmpComputEngine
     * @return
     * @throws Exception
     */
    public int insertSelective(DmpComputEngine dmpComputEngine)throws Exception;
    
    /**主键修改计算引擎表
     * @param dmpComputEngine
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKey(DmpComputEngine dmpComputEngine)throws Exception;

    /**选择性修改计算引擎表
     * @param dmpComputEngine
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKeySelective(DmpComputEngine dmpComputEngine)throws Exception;
    
    /**主键查询计算引擎表
     * @param engineId
     * @return
     * @throws Exception
     */
    public DmpComputEngine selectByPrimaryKey(Integer engineId)throws Exception;

    /**主键删除计算引擎表
     * @param engineId
     * @return
     * @throws Exception
     */
    public int deleteByPrimaryKey(Integer engineId)throws Exception;
    
    /**主键软删除计算引擎表
     * @param engineId
     * @return
     * @throws Exception
     */
    public int softDeleteByPrimaryKey(Integer engineId)throws Exception;
    
    /**主键删除计算引擎表
     * @param engineId
     * @return
     * @throws Exception
     */
    public int delete(Map<String, Object> param)throws Exception;
    
    /**主键软删除计算引擎表
     * @param engineId
     * @return
     * @throws Exception
     */
    public int softDelete(Map<String, Object> param)throws Exception;

	/**条件查询计算引擎表
	 * @param param
	 * @return
	 * @throws Exception
	 */
	public List<DmpComputEngineDto> findList(Map<String, Object> param)throws Exception;

	/**主键查询计算引擎表
	 * @param engineId
	 * @return
	 * @throws Exception
	 */
	public DmpComputEngineDto findById(Integer engineId)throws Exception;

	/**批量新增计算引擎表
	 * @param dmpComputEngines
	 * @throws Exception
	 */
	public void insertBatch(List<DmpComputEngine> dmpComputEngines)throws Exception;

	/**  
	* @Title: deleteByIds  
	* @Description: TODO(批量删除)  
	* @param @param idList
	* @param @throws Exception    参数  
	* @return void    返回类型  
	* @throws  
	*/ 
	public void deleteByIds(@Param("idList")List<Integer> idList)throws Exception;

	/**  
	* @Title: softDeleteByIds  
	* @Description: TODO(批量软删除)  
	* @param @param idList
	* @param @throws Exception    参数  
	* @return void    返回类型  
	* @throws  
	*/ 
	public void softDeleteByIds(@Param("idList")List<Integer> idList)throws Exception;
	
}
