package com.jz.dmp.cmdexectool.mapper;

import java.util.List;
import java.util.Map;
import org.apache.ibatis.annotations.Param;
import com.jz.dmp.cmdexectool.controller.bean.DmpComputEngineParamDto;
import com.jz.dmp.cmdexectool.entity.DmpComputEngineParam;

/**计算引擎参数表 mapper
 * @author ybz
 *
 */
public interface DmpComputEngineParamMapper {
	
	/**新增计算引擎参数表
     * @param dmpComputEngineParam
     * @return
     * @throws Exception
     */
    public int insert(DmpComputEngineParam dmpComputEngineParam)throws Exception;

    /**选择性增加计算引擎参数表
     * @param dmpComputEngineParam
     * @return
     * @throws Exception
     */
    public int insertSelective(DmpComputEngineParam dmpComputEngineParam)throws Exception;
    
    /**主键修改计算引擎参数表
     * @param dmpComputEngineParam
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKey(DmpComputEngineParam dmpComputEngineParam)throws Exception;

    /**选择性修改计算引擎参数表
     * @param dmpComputEngineParam
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKeySelective(DmpComputEngineParam dmpComputEngineParam)throws Exception;
    
    /**主键查询计算引擎参数表
     * @param paramId
     * @return
     * @throws Exception
     */
    public DmpComputEngineParam selectByPrimaryKey(Integer paramId)throws Exception;

    /**主键删除计算引擎参数表
     * @param paramId
     * @return
     * @throws Exception
     */
    public int deleteByPrimaryKey(Integer paramId)throws Exception;
    
    /**主键软删除计算引擎参数表
     * @param paramId
     * @return
     * @throws Exception
     */
    public int softDeleteByPrimaryKey(Integer paramId)throws Exception;
    
    /**主键删除计算引擎参数表
     * @param paramId
     * @return
     * @throws Exception
     */
    public int delete(Map<String, Object> param)throws Exception;
    
    /**主键软删除计算引擎参数表
     * @param paramId
     * @return
     * @throws Exception
     */
    public int softDelete(Map<String, Object> param)throws Exception;

	/**条件查询计算引擎参数表
	 * @param param
	 * @return
	 * @throws Exception
	 */
	public List<DmpComputEngineParamDto> findList(Map<String, Object> param)throws Exception;

	/**主键查询计算引擎参数表
	 * @param paramId
	 * @return
	 * @throws Exception
	 */
	public DmpComputEngineParamDto findById(Integer paramId)throws Exception;

	/**批量新增计算引擎参数表
	 * @param dmpComputEngineParams
	 * @throws Exception
	 */
	public void insertBatch(List<DmpComputEngineParam> dmpComputEngineParams)throws Exception;

	/**  
	* @Title: deleteByIds  
	* @Description: TODO(批量删除)  
	* @param @param idList
	* @param @throws Exception    参数  
	* @return void    返回类型  
	* @throws  
	*/ 
	public void deleteByIds(@Param("idList")List<Integer> idList)throws Exception;

	/**  
	* @Title: softDeleteByIds  
	* @Description: TODO(批量软删除)  
	* @param @param idList
	* @param @throws Exception    参数  
	* @return void    返回类型  
	* @throws  
	*/ 
	public void softDeleteByIds(@Param("idList")List<Integer> idList)throws Exception;
	
}
