package com.jz.dmp.cmdexectool.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.jz.dmp.cmdexectool.controller.bean.DmpProjectConfigEngineDto;
import com.jz.dmp.cmdexectool.entity.DmpProjectConfigEngine;

/**项目配置计算引擎关系表 mapper
 * @author ybz
 *
 */
public interface DmpProjectConfigEngineMapper {
	
	/**新增项目配置计算引擎关系表
     * @param dmpProjectConfigEngine
     * @return
     * @throws Exception
     */
    public int insert(DmpProjectConfigEngine dmpProjectConfigEngine)throws Exception;

    /**选择性增加项目配置计算引擎关系表
     * @param dmpProjectConfigEngine
     * @return
     * @throws Exception
     */
    public int insertSelective(DmpProjectConfigEngine dmpProjectConfigEngine)throws Exception;
    
    /**主键修改项目配置计算引擎关系表
     * @param dmpProjectConfigEngine
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKey(DmpProjectConfigEngine dmpProjectConfigEngine)throws Exception;

    /**选择性修改项目配置计算引擎关系表
     * @param dmpProjectConfigEngine
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKeySelective(DmpProjectConfigEngine dmpProjectConfigEngine)throws Exception;
    
    /**主键查询项目配置计算引擎关系表
     * @param configEngineId
     * @return
     * @throws Exception
     */
    public DmpProjectConfigEngine selectByPrimaryKey(Integer configEngineId)throws Exception;

    /**主键删除项目配置计算引擎关系表
     * @param configEngineId
     * @return
     * @throws Exception
     */
    public int deleteByPrimaryKey(Integer configEngineId)throws Exception;
    
    /**主键软删除项目配置计算引擎关系表
     * @param configEngineId
     * @return
     * @throws Exception
     */
    public int softDeleteByPrimaryKey(Integer configEngineId)throws Exception;
    
    /**主键删除项目配置计算引擎关系表
     * @param configEngineId
     * @return
     * @throws Exception
     */
    public int delete(Map<String, Object> param)throws Exception;
    
    /**主键软删除项目配置计算引擎关系表
     * @param configEngineId
     * @return
     * @throws Exception
     */
    public int softDelete(Map<String, Object> param)throws Exception;

	/**条件查询项目配置计算引擎关系表
	 * @param param
	 * @return
	 * @throws Exception
	 */
	public List<DmpProjectConfigEngineDto> findList(Map<String, Object> param)throws Exception;

	/**主键查询项目配置计算引擎关系表
	 * @param configEngineId
	 * @return
	 * @throws Exception
	 */
	public DmpProjectConfigEngineDto findById(Integer configEngineId)throws Exception;

	/**批量新增项目配置计算引擎关系表
	 * @param dmpProjectConfigEngines
	 * @throws Exception
	 */
	public void insertBatch(List<DmpProjectConfigEngine> dmpProjectConfigEngines)throws Exception;

	/**  
	* @Title: deleteByIds  
	* @Description: TODO(批量删除)  
	* @param @param idList
	* @param @throws Exception    参数  
	* @return void    返回类型  
	* @throws  
	*/ 
	public void deleteByIds(@Param("idList")List<Integer> idList)throws Exception;

	/**  
	* @Title: softDeleteByIds  
	* @Description: TODO(批量软删除)  
	* @param @param idList
	* @param @throws Exception    参数  
	* @return void    返回类型  
	* @throws  
	*/ 
	public void softDeleteByIds(@Param("idList")List<Integer> idList)throws Exception;
	
}
