package com.jz.dmp.cmdexectool.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.jz.dmp.cmdexectool.controller.bean.DmpProjectConfigInfoDto;
import com.jz.dmp.cmdexectool.entity.DmpProjectConfigInfo;

/**项目配置表 mapper
 * @author ybz
 *
 */
public interface DmpProjectConfigInfoMapper {
	
	/**新增项目配置表
     * @param dmpProjectConfigInfo
     * @return
     * @throws Exception
     */
    public int insert(DmpProjectConfigInfo dmpProjectConfigInfo)throws Exception;

    /**选择性增加项目配置表
     * @param dmpProjectConfigInfo
     * @return
     * @throws Exception
     */
    public int insertSelective(DmpProjectConfigInfo dmpProjectConfigInfo)throws Exception;
    
    /**主键修改项目配置表
     * @param dmpProjectConfigInfo
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKey(DmpProjectConfigInfo dmpProjectConfigInfo)throws Exception;

    /**选择性修改项目配置表
     * @param dmpProjectConfigInfo
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKeySelective(DmpProjectConfigInfo dmpProjectConfigInfo)throws Exception;
    
    /**主键查询项目配置表
     * @param projectConfigId
     * @return
     * @throws Exception
     */
    public DmpProjectConfigInfo selectByPrimaryKey(Integer projectConfigId)throws Exception;

    /**主键删除项目配置表
     * @param projectConfigId
     * @return
     * @throws Exception
     */
    public int deleteByPrimaryKey(Integer projectConfigId)throws Exception;
    
    /**主键软删除项目配置表
     * @param projectConfigId
     * @return
     * @throws Exception
     */
    public int softDeleteByPrimaryKey(Integer projectConfigId)throws Exception;
    
    /**主键删除项目配置表
     * @param projectConfigId
     * @return
     * @throws Exception
     */
    public int delete(Map<String, Object> param)throws Exception;
    
    /**主键软删除项目配置表
     * @param projectConfigId
     * @return
     * @throws Exception
     */
    public int softDelete(Map<String, Object> param)throws Exception;

	/**条件查询项目配置表
	 * @param param
	 * @return
	 * @throws Exception
	 */
	public List<DmpProjectConfigInfoDto> findList(Map<String, Object> param)throws Exception;

	/**主键查询项目配置表
	 * @param projectConfigId
	 * @return
	 * @throws Exception
	 */
	public DmpProjectConfigInfoDto findById(Integer projectConfigId)throws Exception;

	/**批量新增项目配置表
	 * @param dmpProjectConfigInfos
	 * @throws Exception
	 */
	public void insertBatch(List<DmpProjectConfigInfo> dmpProjectConfigInfos)throws Exception;

	/**  
	* @Title: deleteByIds  
	* @Description: TODO(批量删除)  
	* @param @param idList
	* @param @throws Exception    参数  
	* @return void    返回类型  
	* @throws  
	*/ 
	public void deleteByIds(@Param("idList")List<Integer> idList)throws Exception;

	/**  
	* @Title: softDeleteByIds  
	* @Description: TODO(批量软删除)  
	* @param @param idList
	* @param @throws Exception    参数  
	* @return void    返回类型  
	* @throws  
	*/ 
	public void softDeleteByIds(@Param("idList")List<Integer> idList)throws Exception;
	
}
