package com.jz.dmp.cmdexectool.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.jz.dmp.cmdexectool.controller.bean.DmpProjectEngineParamDto;
import com.jz.dmp.cmdexectool.entity.DmpProjectEngineParam;


/**计算引擎项目参数表 mapper
 * @author ybz
 *
 */
public interface DmpProjectEngineParamMapper {
	
	/**新增计算引擎项目参数表
     * @param dmpProjectEngineParam
     * @return
     * @throws Exception
     */
    public int insert(DmpProjectEngineParam dmpProjectEngineParam)throws Exception;

    /**选择性增加计算引擎项目参数表
     * @param dmpProjectEngineParam
     * @return
     * @throws Exception
     */
    public int insertSelective(DmpProjectEngineParam dmpProjectEngineParam)throws Exception;
    
    /**主键修改计算引擎项目参数表
     * @param dmpProjectEngineParam
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKey(DmpProjectEngineParam dmpProjectEngineParam)throws Exception;

    /**选择性修改计算引擎项目参数表
     * @param dmpProjectEngineParam
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKeySelective(DmpProjectEngineParam dmpProjectEngineParam)throws Exception;
    
    /**主键查询计算引擎项目参数表
     * @param projectParamId
     * @return
     * @throws Exception
     */
    public DmpProjectEngineParam selectByPrimaryKey(Integer projectParamId)throws Exception;

    /**主键删除计算引擎项目参数表
     * @param projectParamId
     * @return
     * @throws Exception
     */
    public int deleteByPrimaryKey(Integer projectParamId)throws Exception;
    
    /**主键软删除计算引擎项目参数表
     * @param projectParamId
     * @return
     * @throws Exception
     */
    public int softDeleteByPrimaryKey(Integer projectParamId)throws Exception;
    
    /**主键删除计算引擎项目参数表
     * @param projectParamId
     * @return
     * @throws Exception
     */
    public int delete(Map<String, Object> param)throws Exception;
    
    /**主键软删除计算引擎项目参数表
     * @param projectParamId
     * @return
     * @throws Exception
     */
    public int softDelete(Map<String, Object> param)throws Exception;

	/**条件查询计算引擎项目参数表
	 * @param param
	 * @return
	 * @throws Exception
	 */
	public List<DmpProjectEngineParamDto> findList(Map<String, Object> param)throws Exception;

	/**主键查询计算引擎项目参数表
	 * @param projectParamId
	 * @return
	 * @throws Exception
	 */
	public DmpProjectEngineParamDto findById(Integer projectParamId)throws Exception;

	/**批量新增计算引擎项目参数表
	 * @param dmpProjectEngineParams
	 * @throws Exception
	 */
	public void insertBatch(List<DmpProjectEngineParam> dmpProjectEngineParams)throws Exception;

	/**  
	* @Title: deleteByIds  
	* @Description: TODO(批量删除)  
	* @param @param idList
	* @param @throws Exception    参数  
	* @return void    返回类型  
	* @throws  
	*/ 
	public void deleteByIds(@Param("idList")List<Integer> idList)throws Exception;

	/**  
	* @Title: softDeleteByIds  
	* @Description: TODO(批量软删除)  
	* @param @param idList
	* @param @throws Exception    参数  
	* @return void    返回类型  
	* @throws  
	*/ 
	public void softDeleteByIds(@Param("idList")List<Integer> idList)throws Exception;
	
}
