package com.jz.dmp.cmdexectool.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.jz.dmp.cmdexectool.controller.bean.DmpPublicConfigInfoDto;
import com.jz.dmp.cmdexectool.entity.DmpPublicConfigInfo;

/**公共配置表 mapper
 * @author ybz
 *
 */
public interface DmpPublicConfigInfoMapper {
	
	/**新增公共配置表
     * @param dmpPublicConfigInfo
     * @return
     * @throws Exception
     */
    public int insert(DmpPublicConfigInfo dmpPublicConfigInfo)throws Exception;

    /**选择性增加公共配置表
     * @param dmpPublicConfigInfo
     * @return
     * @throws Exception
     */
    public int insertSelective(DmpPublicConfigInfo dmpPublicConfigInfo)throws Exception;
    
    /**主键修改公共配置表
     * @param dmpPublicConfigInfo
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKey(DmpPublicConfigInfo dmpPublicConfigInfo)throws Exception;

    /**选择性修改公共配置表
     * @param dmpPublicConfigInfo
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKeySelective(DmpPublicConfigInfo dmpPublicConfigInfo)throws Exception;
    
    /**主键查询公共配置表
     * @param publicConfigId
     * @return
     * @throws Exception
     */
    public DmpPublicConfigInfo selectByPrimaryKey(Integer publicConfigId)throws Exception;

    /**主键删除公共配置表
     * @param publicConfigId
     * @return
     * @throws Exception
     */
    public int deleteByPrimaryKey(Integer publicConfigId)throws Exception;
    
    /**主键软删除公共配置表
     * @param publicConfigId
     * @return
     * @throws Exception
     */
    public int softDeleteByPrimaryKey(Integer publicConfigId)throws Exception;
    
    /**主键删除公共配置表
     * @param publicConfigId
     * @return
     * @throws Exception
     */
    public int delete(Map<String, Object> param)throws Exception;
    
    /**主键软删除公共配置表
     * @param publicConfigId
     * @return
     * @throws Exception
     */
    public int softDelete(Map<String, Object> param)throws Exception;

	/**条件查询公共配置表
	 * @param param
	 * @return
	 * @throws Exception
	 */
	public List<DmpPublicConfigInfoDto> findList(Map<String, Object> param)throws Exception;

	/**主键查询公共配置表
	 * @param publicConfigId
	 * @return
	 * @throws Exception
	 */
	public DmpPublicConfigInfoDto findById(Integer publicConfigId)throws Exception;

	/**批量新增公共配置表
	 * @param dmpPublicConfigInfos
	 * @throws Exception
	 */
	public void insertBatch(List<DmpPublicConfigInfo> dmpPublicConfigInfos)throws Exception;

	/**  
	* @Title: deleteByIds  
	* @Description: TODO(批量删除)  
	* @param @param idList
	* @param @throws Exception    参数  
	* @return void    返回类型  
	* @throws  
	*/ 
	public void deleteByIds(@Param("idList")List<Integer> idList)throws Exception;

	/**  
	* @Title: softDeleteByIds  
	* @Description: TODO(批量软删除)  
	* @param @param idList
	* @param @throws Exception    参数  
	* @return void    返回类型  
	* @throws  
	*/ 
	public void softDeleteByIds(@Param("idList")List<Integer> idList)throws Exception;
	
}
