package com.jz.dmp.cmdexectool.scheduler.common.enums;

/**
 * @ClassName: MyDbType
 * @Description: TODO(DMP数据库类型枚举)
 * @author ybz
 * @date 2021年3月5日
 *
 */
public enum MyDbType {
	MySQL("1", DbType.MYSQL),
	SQLServer("2", DbType.SQLSERVER),
	PostgreSQL("3", DbType.POSTGRESQL),
	Oracle("4", DbType.ORACLE),
	DM("5", null),
	DB2("6", DbType.DB2),
	Hive("7", DbType.HIVE),
	Impala("8", null),
	Kudu("9", null),
	INFORMIX("21", null);
	
	private String idStr;
	
	private DbType dbType;
	
	private MyDbType(String idStr, DbType dbType) {
		this.idStr = idStr;
		this.dbType = dbType;
	}

	public String getIdStr() {
		return idStr;
	}

	public DbType getDbType() {
		return dbType;
	}

	/**  
	* @Title: obtainByIdStr  
	* @Description: TODO(根据数据源类型主键获取枚举)  
	* @param @param idStr
	* @param @return    参数  
	* @return MyDbType    返回类型  
	* @throws  
	*/ 
	public static MyDbType obtainByIdStr(String idStr) {
		MyDbType myDbTypeMatch = null;
		for (MyDbType myDbType : MyDbType.values()) {
			if (myDbType.idStr.equals(idStr)) {
				myDbTypeMatch =  myDbType;
				break;
			}
		}
		if (myDbTypeMatch==null) {
			throw new RuntimeException("数据源类型没有对应的jdbc映射："+idStr);
		}
		return myDbTypeMatch;
	}

}
