package com.jz.dmp.cmdexectool.service;

import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.jz.dmp.cmdexectool.common.bean.BaseBeanResponse;
import com.jz.dmp.cmdexectool.common.bean.BaseResponse;
import com.jz.dmp.cmdexectool.common.bean.PageInfoResponse;
import com.jz.dmp.cmdexectool.controller.bean.DmpDevelopTaskHistoryBatch;
import com.jz.dmp.cmdexectool.controller.bean.DmpDevelopTaskHistoryDto;
import com.jz.dmp.cmdexectool.controller.bean.DmpDevelopTaskHistoryRequest;
import com.jz.dmp.cmdexectool.entity.DmpDevelopTaskHistory;


/**
 * 任务历史版本服务接口
 * @author ybz
 *
 */
public interface DmpDevelopTaskHistoryService {

	/**条件分頁查询所有任务历史版本
	 * @param dmpDevelopTaskHistoryRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public PageInfoResponse<DmpDevelopTaskHistoryDto> findListWithPage(DmpDevelopTaskHistoryRequest dmpDevelopTaskHistoryRequest, HttpServletRequest httpRequest)throws Exception;
	
	/**条件查询所有任务历史版本
	 * @param dmpDevelopTaskHistoryRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpDevelopTaskHistoryDto> findList(DmpDevelopTaskHistoryRequest dmpDevelopTaskHistoryRequest, HttpServletRequest httpRequest)throws Exception;


	/**新增任务历史版本
	 * @param dmpDevelopTaskHistory
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpDevelopTaskHistory> add(DmpDevelopTaskHistory dmpDevelopTaskHistory, HttpServletRequest httpRequest)throws Exception;
	
	/**主键查询任务历史版本
	 * @param id
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpDevelopTaskHistoryDto> findById(Integer id, HttpServletRequest httpRequest)throws Exception;

	/**修改任务历史版本
	 * @param dmpDevelopTaskHistory
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpDevelopTaskHistory> edit(DmpDevelopTaskHistory dmpDevelopTaskHistory, HttpServletRequest httpRequest)throws Exception;
	
	/**新增或修改任务历史版本
	 * @param dmpDevelopTaskHistory
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpDevelopTaskHistory> addOrEdit(DmpDevelopTaskHistory dmpDevelopTaskHistory, HttpServletRequest httpRequest)throws Exception;


	/**主键删除任务历史版本
	 * @param id
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseResponse deleteById(Integer id, HttpServletRequest httpRequest)throws Exception;
	
	/**主键软删除任务历史版本
	 * @param id
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseResponse softDeleteById(Integer id, HttpServletRequest httpRequest)throws Exception;
	
	/**条件删除任务历史版本
	 * @param dmpDevelopTaskHistoryRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseResponse delete(DmpDevelopTaskHistoryRequest dmpDevelopTaskHistoryRequest, HttpServletRequest httpRequest)throws Exception;
	
	/**条件软删除任务历史版本
	 * @param dmpDevelopTaskHistoryRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseResponse softDelete(DmpDevelopTaskHistoryRequest dmpDevelopTaskHistoryRequest, HttpServletRequest httpRequest)throws Exception;

	/**批量新增任务历史版本
	 * @param dmpDevelopTaskHistoryVo
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpDevelopTaskHistoryBatch> addBatch(DmpDevelopTaskHistoryBatch dmpDevelopTaskHistoryBatch, HttpServletRequest httpRequest)throws Exception;

	/**  
	* @Title: deleteByIds  
	* @Description: TODO(根据主键批量删除)  
	* @param @param idList
	* @param @param httpRequest
	* @param @return
	* @param @throws Exception    参数  
	* @return BaseResponse    返回类型  
	* @throws  
	*/ 
	public BaseResponse deleteByIds(List<Integer> idList, HttpServletRequest httpRequest)throws Exception;

	/**  
	* @Title: softDeleteByIds  
	* @Description: TODO(根据主键批量软删除)  
	* @param @param idList
	* @param @param httpRequest
	* @param @return
	* @param @throws Exception    参数  
	* @return BaseResponse    返回类型  
	* @throws  
	*/ 
	public BaseResponse softDeleteByIds(List<Integer> idList, HttpServletRequest httpRequest)throws Exception;
	
	


}
