package com.jz.dmp.cmdexectool.service;

import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.jz.dmp.cmdexectool.common.bean.BaseBeanResponse;
import com.jz.dmp.cmdexectool.common.bean.BaseResponse;
import com.jz.dmp.cmdexectool.common.bean.PageInfoResponse;
import com.jz.dmp.cmdexectool.controller.bean.DmpDevelopTaskBatch;
import com.jz.dmp.cmdexectool.controller.bean.DmpDevelopTaskDto;
import com.jz.dmp.cmdexectool.controller.bean.DmpDevelopTaskRequest;
import com.jz.dmp.cmdexectool.entity.DmpDevelopTask;


/**
 * 任务开发服务接口
 * @author ybz
 *
 */
public interface DmpDevelopTaskService {

	/**条件分頁查询所有任务开发
	 * @param dmpDevelopTaskRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public PageInfoResponse<DmpDevelopTaskDto> findListWithPage(DmpDevelopTaskRequest dmpDevelopTaskRequest, HttpServletRequest httpRequest)throws Exception;
	
	/**条件查询所有任务开发
	 * @param dmpDevelopTaskRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpDevelopTaskDto> findList(DmpDevelopTaskRequest dmpDevelopTaskRequest, HttpServletRequest httpRequest)throws Exception;


	/**新增任务开发
	 * @param dmpDevelopTask
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpDevelopTask> add(DmpDevelopTask dmpDevelopTask, HttpServletRequest httpRequest)throws Exception;
	
	/**主键查询任务开发
	 * @param id
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpDevelopTaskDto> findById(Integer id, HttpServletRequest httpRequest)throws Exception;

	/**修改任务开发
	 * @param dmpDevelopTask
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpDevelopTask> edit(DmpDevelopTask dmpDevelopTask, HttpServletRequest httpRequest)throws Exception;
	
	/**新增或修改任务开发
	 * @param dmpDevelopTask
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpDevelopTask> addOrEdit(DmpDevelopTask dmpDevelopTask, HttpServletRequest httpRequest)throws Exception;


	/**主键删除任务开发
	 * @param id
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseResponse deleteById(Integer id, HttpServletRequest httpRequest)throws Exception;
	
	/**主键软删除任务开发
	 * @param id
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseResponse softDeleteById(Integer id, HttpServletRequest httpRequest)throws Exception;
	
	/**条件删除任务开发
	 * @param dmpDevelopTaskRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseResponse delete(DmpDevelopTaskRequest dmpDevelopTaskRequest, HttpServletRequest httpRequest)throws Exception;
	
	/**条件软删除任务开发
	 * @param dmpDevelopTaskRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseResponse softDelete(DmpDevelopTaskRequest dmpDevelopTaskRequest, HttpServletRequest httpRequest)throws Exception;

	/**批量新增任务开发
	 * @param dmpDevelopTaskVo
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpDevelopTaskBatch> addBatch(DmpDevelopTaskBatch dmpDevelopTaskBatch, HttpServletRequest httpRequest)throws Exception;

	/**  
	* @Title: deleteByIds  
	* @Description: TODO(根据主键批量删除)  
	* @param @param idList
	* @param @param httpRequest
	* @param @return
	* @param @throws Exception    参数  
	* @return BaseResponse    返回类型  
	* @throws  
	*/ 
	public BaseResponse deleteByIds(List<Integer> idList, HttpServletRequest httpRequest)throws Exception;

	/**  
	* @Title: softDeleteByIds  
	* @Description: TODO(根据主键批量软删除)  
	* @param @param idList
	* @param @param httpRequest
	* @param @return
	* @param @throws Exception    参数  
	* @return BaseResponse    返回类型  
	* @throws  
	*/ 
	public BaseResponse softDeleteByIds(List<Integer> idList, HttpServletRequest httpRequest)throws Exception;
	
	


}
