#!/bin/bash
src_dir=${src_dir!}
des_dir=${des_dir!}
type="${type!}"


cd ${src_dir}
type_zip()
{
  # 获取 src_dir 下所有的 zip 文件
  filenames=`ls -l | grep ^- | grep -i .zip | awk '{print $9}'`
  for file in ${filenames}
  do
    echo "正在解压zip文件: ${file}"
	mkdir -p ${des_dir}/unzip/${file}/
	unzip ${file} -d ${des_dir}/unzip/${file}/
  done
}

type_tar_gz()
{
  # 获取 src_dir 下所有的 tar.gz 文件
  filenames=`ls -l | grep ^- | grep -i .tar.gz | awk '{print $9}'`
  for file in ${filenames}
  do
    echo "正在解压tar.gz文件: ${file}"
	mkdir -p ${des_dir}/tar/${file}/
	tar zxvf ${file} -C ${des_dir}/tar/${file}/
  done
}

type_rar()
{
  # 获取 src_dir 下所有的 rar 文件
  filenames=`ls -l | grep ^- | grep -i .rar | awk '{print $9}'`
  for file in ${filenames}
  do
    echo "正在解压rar文件: ${file}"
	mkdir -p ${des_dir}/rar/${file}
	unrar -x ${file} ${des_dir}/rar/${file}/
  done
}

type_gzip()
{
  # 获取 src_dir 下所有的 gzip 文件
  filenames=`ls -l | grep ^- | grep -i .gz | grep -v .tar | awk '{print $9}'`
  for file in ${filenames}
  do
    echo "正在解压gzip文件: ${file}"
	mkdir -p ${des_dir}/gzip/${file}
	length=$[${#file}-3]
	gzip -cd ${file} > ${des_dir}/gzip/${file}/${file:0:length}
  done
}

case $type in
'zip')
  type_zip
;;
'tar')
  type_tar_gz
;;
'rar')
  type_rar
;;
'gzip')
  type_gzip
;;
*)
  echo "解压 $src_dir 目录下的所有文件"
  type_zip
  type_tar_gz
  type_rar
  type_gzip
esac