/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.jz.cmdexectool.test.task.shell;

import com.jz.dmp.cmdexectool.ApiApplication;
import com.jz.dmp.cmdexectool.scheduler.common.Constants;
import com.jz.dmp.cmdexectool.scheduler.common.enums.ExecutionStatus;
import com.jz.dmp.cmdexectool.scheduler.server.entity.TaskExecutionContext;
import com.jz.dmp.cmdexectool.scheduler.server.worker.task.AbstractTask;
import com.jz.dmp.cmdexectool.scheduler.server.worker.task.TaskManager;
import com.jz.dmp.cmdexectool.scheduler.service.process.ProcessService;

import java.io.File;
import java.nio.file.Files;
import java.nio.file.Path;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

/**
 *  python shell command executor test
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = ApiApplication.class, webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
public class ShellCommandExecutorTest {

    private static final Logger logger = LoggerFactory.getLogger(ShellCommandExecutorTest.class);
    
    @Autowired
    private ProcessService processService;
    
    @Test
    public void test22() {
    	System.out.println("test");
    }
    
    //@Test
    public void test2() {
    	try {
    		String fileName = "E:/test/test_node.bat";
    		File file = new File(fileName);
    		//file.mkdirs();
    		//System.out.println(file.getAbsoluteFile());
            Path path = file.toPath();
            //Files.createDirectory(path2);
            //Files.
            Files.createFile(path);
        	System.out.println("test");
		} catch (Exception e) {
			// TODO: handle exception
			e.printStackTrace();
		}
    }

    //@Test
    public void test() {
		try {
			TaskExecutionContext taskExecutionContext = processService.findTaskExecutionContextById(473,null,true, "1");
			AbstractTask task = TaskManager.newTask(taskExecutionContext);

	        //AbstractTask task = null;

	        logger.info("task info : {}", task);

	        // job init
	        task.init();

	        // job handle
	        task.handle();
	        ExecutionStatus status = ExecutionStatus.SUCCESS;

	        if (task.getExitStatusCode() == Constants.EXIT_CODE_SUCCESS){
	            status = ExecutionStatus.SUCCESS;
	        }else if (task.getExitStatusCode() == Constants.EXIT_CODE_KILL){
	            status = ExecutionStatus.KILL;
	        }else {
	            status = ExecutionStatus.FAILURE;
	        }

	        logger.info(status.toString());
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
			logger.info(e.getMessage());
		}
    }
}